curl --request GET \
--url https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/products \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/products"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"shop": "<string>",
"date": "2023-12-25",
"time": "<string>",
"channel": "<string>",
"product_id": "<string>",
"orders": 123,
"units": 123,
"revenue": 123,
"ad_id": "<string>",
"product_name": "<string>",
"product_sku": "<string>",
"currency": "<string>",
"order_count": 123,
"avg_price": 123,
"revenue_per_order": 123,
"units_per_order": 123
}
]{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}Get product metrics
Returns attributed orders, units, revenue, and product context for the selected date range.
curl --request GET \
--url https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/products \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/products"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"shop": "<string>",
"date": "2023-12-25",
"time": "<string>",
"channel": "<string>",
"product_id": "<string>",
"orders": 123,
"units": 123,
"revenue": 123,
"ad_id": "<string>",
"product_name": "<string>",
"product_sku": "<string>",
"currency": "<string>",
"order_count": 123,
"avg_price": 123,
"revenue_per_order": 123,
"units_per_order": 123
}
]{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}Authorizations
A server-side Bily API key created under Settings > MCP > Access key fallback. Select the intended store before creating it.
Headers
An organization ID returned by GET /context or GET /organizations. Required for GET /stores and optional for store-scoped paths.
"org_01J8W7T9G3E6ZQ4M2K5N8P1R0S"
Path Parameters
The exact store URL returned by GET /context or GET /stores.
"store.example.com"
Query Parameters
First date to include, in YYYY-MM-DD format.
Last date to include, in YYYY-MM-DD format.
Optional normalized channel, such as facebook or google.
Filter to one ad ID.
Comma-separated country codes.
Comma-separated device types.
Comma-separated operating systems.
Comma-separated browser names.
Comma-separated product IDs.
Dimension attribution context.
conversion, first_touch Response
Request completed successfully.